<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Filter Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/)&mdash;a commercial UI library.
> * To use this package, you must install a license key file, whether you are on a paid license or a 30-day free trial. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or start a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * Adding a valid license key file ensures a seamless experience during the trial period&mdash;no watermarks, no warnings, and full access to all components and features.
> * Trial users can register for a free license key file. Without it, your trial may be interrupted by visual indicators or functionality limitations.
> * Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular team!
> * Learn more: https://www.telerik.com/kendo-angular-ui/components/licensing
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular Filter Component

The [Kendo UI for Angular Filter](https://www.telerik.com/kendo-angular-ui/components/filter) component provides options for building and editing filter expressions. The Filter can be used on its own or with other Kendo UI for Angular components.

## Key Features

Among the many features which the Kendo UI for Angular Filter delivers are:

* [Data Binding](https://www.telerik.com/kendo-angular-ui/components/filter/filters-configuration)&mdash;The Filter component allows you to provide user-defined filters of type [FilterExpression](https://www.telerik.com/kendo-angular-ui/components/filter/api/filterexpression).
* [Value Binding](https://www.telerik.com/kendo-angular-ui/components/filter/value-binding)&mdash;The Filter component allows you to set its initial value of type [CompositeFilterDescriptor](https://www.telerik.com/kendo-angular-ui/components/data-query/api/compositefilterdescriptor).
* [Expression Value Template](https://www.telerik.com/kendo-angular-ui/components/filter/expression-value-template)&mdash;The Filter component provides a template which enables you to customize the value input field of each filter expression to your own requirements. 
* [Filter Editor Formats](https://www.telerik.com/kendo-angular-ui/components/filter/editor-formats)&mdash;You have the ability to set default formats for the numeric and date filter editors of the filter expressions.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/filter/globalization)&mdash;By using the available globalization options in Kendo UI for Angular, you can translate the Filter messages by adapting them to specific culture locales. Additionally, the Filter supports rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/filter/accessibility)&mdash;The Filter is accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/filter/keyboard-navigation)&mdash;The Filter supports a number of keyboard shortcuts which allow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Filter, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Filter](https://www.telerik.com/kendo-angular-ui/components/filter/installation/getting-started)
* [Filter Overview page](https://www.telerik.com/kendo-angular-ui/components/filter) and [Filter API reference](https://www.telerik.com/kendo-angular-ui/components/filter/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*