/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { NavigationService } from './navigation.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class BaseFilterRowComponent {
    protected element: ElementRef;
    protected navigationService: NavigationService;
    protected localization: LocalizationService;
    private renderer;
    index: number;
    valueChange: EventEmitter<boolean>;
    constructor(element: ElementRef, navigationService: NavigationService, localization: LocalizationService, renderer: Renderer2);
    itemNumber: number;
    get toolbarElement(): HTMLElement;
    messageFor(key: string): string;
    onMouseDown(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseFilterRowComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseFilterRowComponent, never, never, { "index": { "alias": "index"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
