/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { FilterDescriptor } from '@progress/kendo-data-query';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterBooleanEditorComponent {
    private localization;
    private cdr;
    currentItem: FilterDescriptor;
    valueChange: EventEmitter<void>;
    items: {
        text: string;
        value: boolean;
    }[];
    defaultItem: {
        text: string;
        value: boolean;
    };
    private localizationSubscription;
    constructor(localization: LocalizationService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    getDefaultItem(): {
        text: string;
        value: boolean;
    };
    getValueItems(): {
        text: string;
        value: boolean;
    }[];
    ngOnDestroy(): void;
    messageFor(key: string): string;
    onValueChange(value: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterBooleanEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterBooleanEditorComponent, "kendo-filter-boolean-editor", never, { "currentItem": { "alias": "currentItem"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
