/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from '@angular/core';
import { FormatSettings } from '@progress/kendo-angular-dateinputs';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { FilterDescriptor } from '@progress/kendo-data-query';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterDateEditorComponent {
    private localization;
    currentItem: FilterDescriptor;
    isDisabled: boolean;
    format: string | FormatSettings;
    valueChange: EventEmitter<void>;
    constructor(localization: LocalizationService);
    messageFor(key: string): string;
    onValueChange(value: Date): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterDateEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterDateEditorComponent, "kendo-filter-date-editor", never, { "currentItem": { "alias": "currentItem"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "format": { "alias": "format"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
