/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive } from '@angular/core';
import { Input } from '@angular/core';
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class Messages extends ComponentMessages {
    /**
     * The text of the Filter Expression `operators` drop down title.
     */
    filterExpressionOperators;
    /**
     * The text of the Filter Expression 'fields' drop down title.
     */
    filterExpressionFilters;
    /**
     * The text of the `Remove` button.
     */
    remove;
    /**
     * The text of the Filter Group `Add Group` button.
     */
    addGroup;
    /**
     * The text of the Filter Group `Add Filter` button.
     */
    addFilter;
    /**
     * The text of the `And` Filter Group logic.
     */
    filterAndLogic;
    /**
     * The text of the `Or` Filter Group logic.
     */
    filterOrLogic;
    /**
     * The text of the `Equal` (**Is equal to**) Filter Expression operator.
     */
    filterEqOperator;
    /**
     * The text of the `NotEqual` (**Is not equal to**) Filter Expression operator.
     */
    filterNotEqOperator;
    /**
     * The text of the `IsNull` (**Is null**) Filter Expression operator.
     */
    filterIsNullOperator;
    /**
     * The text of the `IsNotNull` (**Is not null**) Filter Expression operator.
     */
    filterIsNotNullOperator;
    /**
     * The text of the `IsEmpty` (**Is empty**) Filter Expression operator.
     */
    filterIsEmptyOperator;
    /**
     * The text of the `IsNotEmpty` (**Is not empty**) Filter Expression operator.
     */
    filterIsNotEmptyOperator;
    /**
     * The text of the `StartsWith` (**Starts with**) Filter Expression operator.
     */
    filterStartsWithOperator;
    /**
     * The text of the `Contains` (**Contains**) Filter Expression operator.
     */
    filterContainsOperator;
    /**
     * The text of the `DoesNotContain` (**Does not contain**) Filter Expression operator.
     */
    filterNotContainsOperator;
    /**
     * The text of the `EndsWith` (**Ends with**) string Filter Expression operator.
     */
    filterEndsWithOperator;
    /**
     * The text of the `GreaterOrEqualTo` (**Is greater than or equal to**) numeric Filter Expression operator.
     */
    filterGteOperator;
    /**
     * The text of the `Greater` (**Is greater than**) numeric Filter Expression operator.
     */
    filterGtOperator;
    /**
     * The text of the `LessOrEqualTo` (**Is less than or equal to**) numeric Filter Expression operator.
     */
    filterLteOperator;
    /**
     * The text of the `Less` (**Is less than**) numeric Filter Expression operator.
     */
    filterLtOperator;
    /**
     * The text of the `IsTrue` boolean Filter Expression option.
     */
    filterIsTrue;
    /**
     * The text of the `IsFalse` boolean Filter Expression option.
     */
    filterIsFalse;
    /**
     * The text of the `(All)` boolean Filter Expression option.
     */
    filterBooleanAll;
    /**
     * The text of the `AfterOrEqualTo` (**Is after or equal to**) date Filter Expression operator.
     */
    filterAfterOrEqualOperator;
    /**
     * The text of the `After` (**Is after**) date Filter Expression operator.
     */
    filterAfterOperator;
    /**
     * The text of the `Before` (**Is before**) date Filter Expression operator.
     */
    filterBeforeOperator;
    /**
     * The text of the `BeforeOrEqualTo` (**Is before or equal to**) date Filter Expression operator.
     */
    filterBeforeOrEqualOperator;
    /**
     * The title of the Decrement button of the Filter Expression numeric editor.
     */
    editorNumericDecrement;
    /**
     * The title of the Increment button of the Filter Expression numeric editor.
     */
    editorNumericIncrement;
    /**
     * The text of the Today button of the Filter Expression date editor.
     */
    editorDateTodayText;
    /**
     * The title of the Toggle button of the Filter Expression date editor.
     */
    editorDateToggleText;
    /**
     * The text of the filter field aria label.
     */
    filterFieldAriaLabel;
    /**
     * The text of the filter operator aria label.
     */
    filterOperatorAriaLabel;
    /**
     * The text of the filter value aria label.
     */
    filterValueAriaLabel;
    /**
     * The text of the filter row aria label.
     */
    filterToolbarAriaLabel;
    /**
     * The text of the filter toolbar aria label.
     */
    filterComponentAriaLabel;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, deps: null, target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: Messages, selector: "[kendoFilterMessages]", inputs: { filterExpressionOperators: "filterExpressionOperators", filterExpressionFilters: "filterExpressionFilters", remove: "remove", addGroup: "addGroup", addFilter: "addFilter", filterAndLogic: "filterAndLogic", filterOrLogic: "filterOrLogic", filterEqOperator: "filterEqOperator", filterNotEqOperator: "filterNotEqOperator", filterIsNullOperator: "filterIsNullOperator", filterIsNotNullOperator: "filterIsNotNullOperator", filterIsEmptyOperator: "filterIsEmptyOperator", filterIsNotEmptyOperator: "filterIsNotEmptyOperator", filterStartsWithOperator: "filterStartsWithOperator", filterContainsOperator: "filterContainsOperator", filterNotContainsOperator: "filterNotContainsOperator", filterEndsWithOperator: "filterEndsWithOperator", filterGteOperator: "filterGteOperator", filterGtOperator: "filterGtOperator", filterLteOperator: "filterLteOperator", filterLtOperator: "filterLtOperator", filterIsTrue: "filterIsTrue", filterIsFalse: "filterIsFalse", filterBooleanAll: "filterBooleanAll", filterAfterOrEqualOperator: "filterAfterOrEqualOperator", filterAfterOperator: "filterAfterOperator", filterBeforeOperator: "filterBeforeOperator", filterBeforeOrEqualOperator: "filterBeforeOrEqualOperator", editorNumericDecrement: "editorNumericDecrement", editorNumericIncrement: "editorNumericIncrement", editorDateTodayText: "editorDateTodayText", editorDateToggleText: "editorDateToggleText", filterFieldAriaLabel: "filterFieldAriaLabel", filterOperatorAriaLabel: "filterOperatorAriaLabel", filterValueAriaLabel: "filterValueAriaLabel", filterToolbarAriaLabel: "filterToolbarAriaLabel", filterComponentAriaLabel: "filterComponentAriaLabel" }, usesInheritance: true, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: Messages, decorators: [{
            type: Directive,
            args: [{
                    selector: '[kendoFilterMessages]'
                }]
        }], propDecorators: { filterExpressionOperators: [{
                type: Input
            }], filterExpressionFilters: [{
                type: Input
            }], remove: [{
                type: Input
            }], addGroup: [{
                type: Input
            }], addFilter: [{
                type: Input
            }], filterAndLogic: [{
                type: Input
            }], filterOrLogic: [{
                type: Input
            }], filterEqOperator: [{
                type: Input
            }], filterNotEqOperator: [{
                type: Input
            }], filterIsNullOperator: [{
                type: Input
            }], filterIsNotNullOperator: [{
                type: Input
            }], filterIsEmptyOperator: [{
                type: Input
            }], filterIsNotEmptyOperator: [{
                type: Input
            }], filterStartsWithOperator: [{
                type: Input
            }], filterContainsOperator: [{
                type: Input
            }], filterNotContainsOperator: [{
                type: Input
            }], filterEndsWithOperator: [{
                type: Input
            }], filterGteOperator: [{
                type: Input
            }], filterGtOperator: [{
                type: Input
            }], filterLteOperator: [{
                type: Input
            }], filterLtOperator: [{
                type: Input
            }], filterIsTrue: [{
                type: Input
            }], filterIsFalse: [{
                type: Input
            }], filterBooleanAll: [{
                type: Input
            }], filterAfterOrEqualOperator: [{
                type: Input
            }], filterAfterOperator: [{
                type: Input
            }], filterBeforeOperator: [{
                type: Input
            }], filterBeforeOrEqualOperator: [{
                type: Input
            }], editorNumericDecrement: [{
                type: Input
            }], editorNumericIncrement: [{
                type: Input
            }], editorDateTodayText: [{
                type: Input
            }], editorDateToggleText: [{
                type: Input
            }], filterFieldAriaLabel: [{
                type: Input
            }], filterOperatorAriaLabel: [{
                type: Input
            }], filterValueAriaLabel: [{
                type: Input
            }], filterToolbarAriaLabel: [{
                type: Input
            }], filterComponentAriaLabel: [{
                type: Input
            }] } });
