/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { FilterDescriptor } from '@progress/kendo-data-query';
import { FilterEditor, FilterOperator } from './model/filter-expression';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterExpressionOperatorsComponent {
    private localization;
    currentItem: FilterDescriptor;
    editorType: FilterEditor;
    valueChange: EventEmitter<FilterOperator>;
    operators: {
        text: string;
        value: string;
    }[];
    constructor(localization: LocalizationService);
    messageFor(key: string): string;
    getOperator(operatorValue: FilterOperator): string;
    operatorValueChange(value: FilterOperator): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterExpressionOperatorsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterExpressionOperatorsComponent, "kendo-filter-expression-operators", never, { "currentItem": { "alias": "currentItem"; "required": false; }; "editorType": { "alias": "editorType"; "required": false; }; "operators": { "alias": "operators"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
