/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { CompositeFilterDescriptor, FilterDescriptor } from '@progress/kendo-data-query';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { BaseFilterRowComponent } from './base-filter-row.component';
import { FilterService } from './filter.service';
import { NavigationService } from './navigation.service';
import { FilterItem } from './util';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FilterGroupComponent extends BaseFilterRowComponent implements OnInit, OnDestroy {
    private filterService;
    private cdr;
    static ngAcceptInputType_currentItem: FilterDescriptor | CompositeFilterDescriptor;
    /**
     * @hidden
     */
    xIcon: SVGIcon;
    /**
     * @hidden
     */
    filterAddGroupIcon: SVGIcon;
    /**
     * @hidden
     */
    filterAddExpressionIcon: SVGIcon;
    private _filterItems;
    get filterItems(): FilterItem[];
    /**
     * @hidden
     */
    handleExpressionValueChange(isRemoveOperation: any): void;
    currentItem: CompositeFilterDescriptor;
    /**
     * @hidden
     */
    trackByFunction: (index: any) => any;
    operators: {
        text: string;
        value: 'and' | 'or';
    }[];
    private localizationSubscription;
    constructor(filterService: FilterService, cdr: ChangeDetectorRef, element: ElementRef, navigationService: NavigationService, localization: LocalizationService, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getLogicOperators(): {
        text: string;
        value: 'and' | 'or';
    }[];
    getOperator(operatorValue: 'and' | 'or'): string;
    selectedChange(logicOperator: 'or' | 'and'): void;
    addFilterExpression(): void;
    addFilterGroup(): void;
    removeFilterGroup(): void;
    onMouseDown(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterGroupComponent, "kendo-filter-group", never, { "currentItem": { "alias": "currentItem"; "required": false; }; }, {}, never, never, true, never>;
}
