/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ComponentMessages } from '@progress/kendo-angular-l10n';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class Messages extends ComponentMessages {
    /**
     * The text of the Filter Expression `operators` drop down title.
     */
    filterExpressionOperators: string;
    /**
     * The text of the Filter Expression 'fields' drop down title.
     */
    filterExpressionFilters: string;
    /**
     * The text of the `Remove` button.
     */
    remove: string;
    /**
     * The text of the Filter Group `Add Group` button.
     */
    addGroup: string;
    /**
     * The text of the Filter Group `Add Filter` button.
     */
    addFilter: string;
    /**
     * The text of the `And` Filter Group logic.
     */
    filterAndLogic: string;
    /**
     * The text of the `Or` Filter Group logic.
     */
    filterOrLogic: string;
    /**
     * The text of the `Equal` (**Is equal to**) Filter Expression operator.
     */
    filterEqOperator: string;
    /**
     * The text of the `NotEqual` (**Is not equal to**) Filter Expression operator.
     */
    filterNotEqOperator: string;
    /**
     * The text of the `IsNull` (**Is null**) Filter Expression operator.
     */
    filterIsNullOperator: string;
    /**
     * The text of the `IsNotNull` (**Is not null**) Filter Expression operator.
     */
    filterIsNotNullOperator: string;
    /**
     * The text of the `IsEmpty` (**Is empty**) Filter Expression operator.
     */
    filterIsEmptyOperator: string;
    /**
     * The text of the `IsNotEmpty` (**Is not empty**) Filter Expression operator.
     */
    filterIsNotEmptyOperator: string;
    /**
     * The text of the `StartsWith` (**Starts with**) Filter Expression operator.
     */
    filterStartsWithOperator: string;
    /**
     * The text of the `Contains` (**Contains**) Filter Expression operator.
     */
    filterContainsOperator: string;
    /**
     * The text of the `DoesNotContain` (**Does not contain**) Filter Expression operator.
     */
    filterNotContainsOperator: string;
    /**
     * The text of the `EndsWith` (**Ends with**) string Filter Expression operator.
     */
    filterEndsWithOperator: string;
    /**
     * The text of the `GreaterOrEqualTo` (**Is greater than or equal to**) numeric Filter Expression operator.
     */
    filterGteOperator: string;
    /**
     * The text of the `Greater` (**Is greater than**) numeric Filter Expression operator.
     */
    filterGtOperator: string;
    /**
     * The text of the `LessOrEqualTo` (**Is less than or equal to**) numeric Filter Expression operator.
     */
    filterLteOperator: string;
    /**
     * The text of the `Less` (**Is less than**) numeric Filter Expression operator.
     */
    filterLtOperator: string;
    /**
     * The text of the `IsTrue` boolean Filter Expression option.
     */
    filterIsTrue: string;
    /**
     * The text of the `IsFalse` boolean Filter Expression option.
     */
    filterIsFalse: string;
    /**
     * The text of the `(All)` boolean Filter Expression option.
     */
    filterBooleanAll: string;
    /**
     * The text of the `AfterOrEqualTo` (**Is after or equal to**) date Filter Expression operator.
     */
    filterAfterOrEqualOperator: string;
    /**
     * The text of the `After` (**Is after**) date Filter Expression operator.
     */
    filterAfterOperator: string;
    /**
     * The text of the `Before` (**Is before**) date Filter Expression operator.
     */
    filterBeforeOperator: string;
    /**
     * The text of the `BeforeOrEqualTo` (**Is before or equal to**) date Filter Expression operator.
     */
    filterBeforeOrEqualOperator: string;
    /**
     * The title of the Decrement button of the Filter Expression numeric editor.
     */
    editorNumericDecrement: string;
    /**
     * The title of the Increment button of the Filter Expression numeric editor.
     */
    editorNumericIncrement: string;
    /**
     * The text of the Today button of the Filter Expression date editor.
     */
    editorDateTodayText: string;
    /**
     * The title of the Toggle button of the Filter Expression date editor.
     */
    editorDateToggleText: string;
    /**
     * The text of the filter field aria label.
     */
    filterFieldAriaLabel: string;
    /**
     * The text of the filter operator aria label.
     */
    filterOperatorAriaLabel: string;
    /**
     * The text of the filter value aria label.
     */
    filterValueAriaLabel: string;
    /**
     * The text of the filter row aria label.
     */
    filterToolbarAriaLabel: string;
    /**
     * The text of the filter toolbar aria label.
     */
    filterComponentAriaLabel: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<Messages, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<Messages, "[kendoFilterMessages]", never, { "filterExpressionOperators": { "alias": "filterExpressionOperators"; "required": false; }; "filterExpressionFilters": { "alias": "filterExpressionFilters"; "required": false; }; "remove": { "alias": "remove"; "required": false; }; "addGroup": { "alias": "addGroup"; "required": false; }; "addFilter": { "alias": "addFilter"; "required": false; }; "filterAndLogic": { "alias": "filterAndLogic"; "required": false; }; "filterOrLogic": { "alias": "filterOrLogic"; "required": false; }; "filterEqOperator": { "alias": "filterEqOperator"; "required": false; }; "filterNotEqOperator": { "alias": "filterNotEqOperator"; "required": false; }; "filterIsNullOperator": { "alias": "filterIsNullOperator"; "required": false; }; "filterIsNotNullOperator": { "alias": "filterIsNotNullOperator"; "required": false; }; "filterIsEmptyOperator": { "alias": "filterIsEmptyOperator"; "required": false; }; "filterIsNotEmptyOperator": { "alias": "filterIsNotEmptyOperator"; "required": false; }; "filterStartsWithOperator": { "alias": "filterStartsWithOperator"; "required": false; }; "filterContainsOperator": { "alias": "filterContainsOperator"; "required": false; }; "filterNotContainsOperator": { "alias": "filterNotContainsOperator"; "required": false; }; "filterEndsWithOperator": { "alias": "filterEndsWithOperator"; "required": false; }; "filterGteOperator": { "alias": "filterGteOperator"; "required": false; }; "filterGtOperator": { "alias": "filterGtOperator"; "required": false; }; "filterLteOperator": { "alias": "filterLteOperator"; "required": false; }; "filterLtOperator": { "alias": "filterLtOperator"; "required": false; }; "filterIsTrue": { "alias": "filterIsTrue"; "required": false; }; "filterIsFalse": { "alias": "filterIsFalse"; "required": false; }; "filterBooleanAll": { "alias": "filterBooleanAll"; "required": false; }; "filterAfterOrEqualOperator": { "alias": "filterAfterOrEqualOperator"; "required": false; }; "filterAfterOperator": { "alias": "filterAfterOperator"; "required": false; }; "filterBeforeOperator": { "alias": "filterBeforeOperator"; "required": false; }; "filterBeforeOrEqualOperator": { "alias": "filterBeforeOrEqualOperator"; "required": false; }; "editorNumericDecrement": { "alias": "editorNumericDecrement"; "required": false; }; "editorNumericIncrement": { "alias": "editorNumericIncrement"; "required": false; }; "editorDateTodayText": { "alias": "editorDateTodayText"; "required": false; }; "editorDateToggleText": { "alias": "editorDateToggleText"; "required": false; }; "filterFieldAriaLabel": { "alias": "filterFieldAriaLabel"; "required": false; }; "filterOperatorAriaLabel": { "alias": "filterOperatorAriaLabel"; "required": false; }; "filterValueAriaLabel": { "alias": "filterValueAriaLabel"; "required": false; }; "filterToolbarAriaLabel": { "alias": "filterToolbarAriaLabel"; "required": false; }; "filterComponentAriaLabel": { "alias": "filterComponentAriaLabel"; "required": false; }; }, {}, never, never, false, never>;
}
