/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChangeDetectorRef, Renderer2 } from '@angular/core';
import { FilterItem } from './util';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
interface FlattenFilterItem {
    component: FilterItem;
    isGroup: boolean;
    toolbarElement: HTMLElement;
    focusableChildren: HTMLElement[];
}
/**
 * @hidden
 */
export declare class NavigationService {
    private cdr;
    private renderer;
    hierarchicalFilterItems: FilterItem[];
    flattenFilterItems: FlattenFilterItem[];
    currentToolbarItemIndex: number;
    currentToolbarItemChildrenIndex: number;
    isFilterNavigationActivated: boolean;
    isFilterExpressionComponentFocused: boolean;
    currentlyFocusedElement: HTMLElement;
    constructor(cdr: ChangeDetectorRef, renderer: Renderer2);
    processKeyDown(key: number, event: any): void;
    focusCurrentElement(element: HTMLElement, isOnMouseDown?: boolean): void;
    flattenHierarchicalFilterItems(filterItems: FilterItem[]): void;
    private setGroupItemChildren;
    setItemIndexes(): void;
    reset(items: FilterItem[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<NavigationService>;
}
export {};
