/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FilterOperator } from "./model/filter-expression";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const nullOperators: string[];
/**
 * @hidden
 */
export declare const numericOperators: {
    text: string;
    value: string;
}[];
/**
 * @hidden
 */
export declare const stringOperators: {
    text: string;
    value: string;
}[];
/**
 * @hidden
 */
export declare const booleanOperators: {
    text: string;
    value: string;
}[];
/**
 * @hidden
 */
export declare const dateOperators: {
    text: string;
    value: string;
}[];
/**
 * @hidden
 */
export declare const isArray: Function;
/**
 * @hidden
 */
export declare const getKeyByValue: (object: object, value: FilterOperator | "and" | "or") => string;
/**
 * @hidden
 */
export declare const defaultStringOperators: {
    filterEqOperator: string;
    filterNotEqOperator: string;
    filterContainsOperator: string;
    filterNotContainsOperator: string;
    filterStartsWithOperator: string;
    filterEndsWithOperator: string;
    filterIsNullOperator: string;
    filterIsNotNullOperator: string;
    filterIsEmptyOperator: string;
    filterIsNotEmptyOperator: string;
};
/**
 * @hidden
 */
export declare const defaultNumericOperators: {
    filterEqOperator: string;
    filterNotEqOperator: string;
    filterGteOperator: string;
    filterGtOperator: string;
    filterLteOperator: string;
    filterLtOperator: string;
    filterIsNullOperator: string;
    filterIsNotNullOperator: string;
};
/**
 * @hidden
 */
export declare const defaultDateOperators: {
    filterEqOperator: string;
    filterNotEqOperator: string;
    filterAfterOrEqualOperator: string;
    filterAfterOperator: string;
    filterBeforeOrEqualOperator: string;
    filterBeforeOperator: string;
    filterIsNullOperator: string;
    filterIsNotNullOperator: string;
};
/**
 * @hidden
 */
export declare const defaultOperators: {
    string: {
        filterEqOperator: string;
        filterNotEqOperator: string;
        filterContainsOperator: string;
        filterNotContainsOperator: string;
        filterStartsWithOperator: string;
        filterEndsWithOperator: string;
        filterIsNullOperator: string;
        filterIsNotNullOperator: string;
        filterIsEmptyOperator: string;
        filterIsNotEmptyOperator: string;
    };
    number: {
        filterEqOperator: string;
        filterNotEqOperator: string;
        filterGteOperator: string;
        filterGtOperator: string;
        filterLteOperator: string;
        filterLtOperator: string;
        filterIsNullOperator: string;
        filterIsNotNullOperator: string;
    };
    date: {
        filterEqOperator: string;
        filterNotEqOperator: string;
        filterAfterOrEqualOperator: string;
        filterAfterOperator: string;
        filterBeforeOrEqualOperator: string;
        filterBeforeOperator: string;
        filterIsNullOperator: string;
        filterIsNotNullOperator: string;
    };
};
/**
 * @hidden
 */
export declare const logicOperators: {
    filterAndLogic: string;
    filterOrLogic: string;
};
/**
 * @hidden
 */
export type Direction = 'rtl' | 'ltr';
/**
 * @hidden
 */
export declare const isFilterEditor: (editorType: string) => boolean;
/**
 * @hidden
 */
export declare const localizeOperators: (operators: any) => (localization: any) => {
    text: any;
    value: any;
}[];
/**
 * @hidden
 */
export declare const isPresent: Function;
/**
 * @hidden
 */
export declare class FilterItem {
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterItem, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FilterItem>;
}
/**
 * @hidden
 */
export declare const selectors: any;
